
Ryzom - Bug # 1347

Status: New Priority: Normal
Author: Potlatch Category: Input: Mouse
Created: 08/20/2011 Assignee:
Updated: 08/08/2012 Due date:
Subject: Stop grabbing the mouse pointer at startup, at least in window mode
Description

Hi,

Well, i'm not really sure it qualifies as a bug. Still each time I startup ryzom client in window mode, it grabs the mouse pointer and put
it somewhere else. I find it quit annoying and don't see the purpose of it in the window mode.

Official client on Ubuntu 10.04

Best regards.

History
#1 - 08/20/2011 12:43 pm - kervala

Do you talk about the mouse changing position while loading the game after selecting your character ?

If yes, that's a known "bug" even under Windows.

"Grabbing the mouse" is the fact the OS is refusing the cursor to leave the window, I suppose it isn't that the problem ?

The mouse grabbing only occurs when pressing the left button to rotate camera.

#2 - 08/21/2011 02:11 am - Potlatch

Indeed, I was refering about the mouse changing position. It seems to appear 2 times: when you get prompted to enter your password and after
selecting your character.

#3 - 08/22/2011 08:13 am - nimetu
- File mouse-fix-hack.diff added

kervala wrote:

Do you talk about the mouse changing position while loading the game after selecting your character ?

If yes, that's a known "bug" even under Windows.

culprit is the excessive use of SetMouseFreeLook() and setMousePos(x,y) functions.

As I have multiple monitors and it was driving me mad, did some trial-error commenting. 
On linux, this works just fine.
http://ballisticmystix.net/temp/mouse-fix-hack.diff

#4 - 08/08/2012 12:01 pm - kaetemi
- Category set to Input: Mouse

Files
mouse-fix-hack.diff 2.8 kB 08/22/2011 nimetu
http://ballisticmystix.net/temp/mouse-fix-hack.diff

